# Invoice Schedules

Use invoice schedules to trigger invoice generation processes.
For more information about invoice schedules, see Billing Schedule overview.

 - [POST /v1/invoice-schedules](https://developer.zuora.com/v1-api-reference/api/invoice-schedules/post_createinvoiceschedule.md): Creates an invoice schedule. ### Limitations This API operation has the following limitations: * You can create at most 50 invoice schedule items in one request. * You can associate at most 10 orders
 - [DELETE /v1/invoice-schedules/{scheduleKey}](https://developer.zuora.com/v1-api-reference/api/invoice-schedules/delete_invoiceschedule.md): Deletes an invoice schedule in Pending status. The status of the invoice schedule to be deleted must be `Pending`. **Note**: This operation is available only if you have the Billing Schedule feature e
 - [GET /v1/invoice-schedules/{scheduleKey}](https://developer.zuora.com/v1-api-reference/api/invoice-schedules/get_invoiceschedule.md): Retrieves detailed information about an invoice schedule. **Note**: This operation is available only if you have the Billing Schedule feature enabled.
 - [PUT /v1/invoice-schedules/{scheduleKey}](https://developer.zuora.com/v1-api-reference/api/invoice-schedules/put_updateinvoiceschedule.md): Updates a pending invoice schedule. You can use this API operation to update invoice schedules in the following aspects: - Update notes and pending invoice schedule items - Update orders associated wi
 - [POST /v1/invoice-schedules/{scheduleKey}/execute](https://developer.zuora.com/v1-api-reference/api/invoice-schedules/post_executeinvoiceschedule.md): Executes an invoice schedule immediately. During the execution, a bill run is created and generates an invoice or a credit memo asynchronously. When you use this API operation to execute an invoice sc
 - [PUT /v1/invoice-schedules/{scheduleKey}/pause](https://developer.zuora.com/v1-api-reference/api/invoice-schedules/put_pauseinvoiceschedule.md): Pauses an invoice schedule immediately. A paused invoice schedule and charges inside cannot be automatically executed by Zuora Scheduler or by the Execute an invoice schedule API operation. In this ca
 - [PUT /v1/invoice-schedules/{scheduleKey}/resume](https://developer.zuora.com/v1-api-reference/api/invoice-schedules/put_resumeinvoiceschedule.md): Resumes an invoice schedule in Paused status immediately. After an invoice schedule is resumed, it can continue to be automatically executed by Zuora Scheduler or by the [Execute an invoice schedule](
 - [PUT /v1/invoice-schedules/{scheduleKey}/detach](https://developer.zuora.com/v1-api-reference/api/invoice-schedules/detachchargesfrominvoiceschedule.md): Detaches charges from an invoice schedule. The invoice schedules you want to detach charges from must be in Fully Processed or Partially Processed status. Invoice schedules do not bill detached charge
 - [PUT /v1/invoice-schedules/{scheduleKey}/attach](https://developer.zuora.com/v1-api-reference/api/invoice-schedules/attachchargestoinvoiceschedule.md): Attaches charges to an invoice schedule. The invoice schedules you want to attach charges to must be in Fully Processed or Partially Processed status. You can attach charges only if they were previou
